Subject: Re: linux-next: Tree for Aug 27 (objtool)

From: Josh Poimboeuf <[email-masked]>
Date: Wed, 28 Aug 2019 11:13:31 -0500

On Wed, Aug 28, 2019 at 09:05:18AM -0700, Randy Dunlap wrote:
> On 8/28/19 8:51 AM, Josh Poimboeuf wrote:
> > On Tue, Aug 27, 2019 at 12:05:42PM -0700, Randy Dunlap wrote:
> >> On 8/27/19 8:59 AM, Josh Poimboeuf wrote:
> >>> On Tue, Aug 27, 2019 at 08:40:07AM -0700, Randy Dunlap wrote:
> >>>> On 8/27/19 2:05 AM, Stephen Rothwell wrote:
> >>>>> Hi all,
> >>>>>
> >>>>> Changes since 20190826:
> >>>>>
> >>>>
> >>>> on x86_64:
> >>>>
> >>>> arch/x86/kvm/vmx/vmx.o: warning: objtool: vmx_handle_exit_irqoff()+0x33: unreachable instruction
> >>>>
> >>>>> gcc --version
> >>>> gcc (SUSE Linux) 7.4.0
> >>>>
> >>>>
> >>>> want more info?
> >>>
> >>> Yes, can you provide the .o and the .config?
> >>>
> >>
> >> Sure.  The .o was 508KB, so I compressed it.
> > 
> > Thanks Randy.  Here's a tentative fix.  I need to make sure it doesn't
> > break anything else.
> 
> Works for me on the reported failure.  Thanks.
> 
> Acked-by: Randy Dunlap <[email-masked]>

Turns out this patch does break something:

  arch/x86/xen/enlighten_pv.o: warning: objtool: xen_cpuid()+0x25: can't find jump dest instruction at .text+0x9c

I'll need to figure out a better way to whitelist that
XEN_EMULATE_PREFIX fake instruction thing.  I'll probably just teach
the objtool decoder about it.

-- 
Josh